> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all inventories activities

> Lists all inventory related activities of stock movements. This provides a comprehensive audit trail of inventory operations such as receiving, reservations, adjustments, transfers, and sales.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /catalog/inventories/activites
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/inventories/activites:
    parameters: []
    get:
      tags:
        - Inventories
      summary: List all inventories activities
      description: >-
        Lists all inventory related activities of stock movements. This provides
        a comprehensive audit trail of inventory operations such as receiving,
        reservations, adjustments, transfers, and sales.
      operationId: list-inventory-activity
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/sortByOptions'
        - $ref: '#/components/parameters/columnBasedFilters'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      activities:
                        type: array
                        items:
                          $ref: '#/components/schemas/InventoryActivity'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    sortByOptions:
      name: sort_by
      in: query
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
  schemas:
    InventoryActivity:
      title: InventoryActivity
      type: object
      properties:
        product_id:
          type: string
        product_name:
          type: string
        variant_id:
          type: string
        variant_name:
          type: string
        sku:
          type: string
        warehouse_id:
          type: string
        warehouse:
          $ref: '#/components/schemas/WarehouseBasicDetail'
        activity_type:
          enum:
            - add
            - reserve
            - reduce
            - adjust
            - update
        quantity:
          type: integer
        reason:
          type: string
          maxLength: 512
        lot_batch:
          type: string
        mfg_date:
          type: string
          format: date
        exp_date:
          type: string
          format: date
        manufacturer:
          type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
      x-tags:
        - Catalog
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    WarehouseBasicDetail:
      title: WarehouseBasicDetail
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        address_line1:
          type: string
        pincode:
          type: string
        city:
          type: string
        state:
          type: string
        is_default:
          type: boolean
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````